### Common setup for system hooks.
### By Curby
### v1.00.02, 2004-02-07


#
#  This file is called by system hooks such as login/logout hooks and
#  sleep/wake hooks to set up variables and a common logging system.  
#  
#  Include this file using the syntax
#    . /path/to/hookcommon.sh
#
#  
#234567890123456789012345678901234567890123456789012345678901234567890


if [ ${HOOK_DEFAULTUSER} ]; then
  HOOK_USER="root"
  HOOK_PAD=5
else
  if [ "$#" = "0" ]; then
    date +'%b %e %H:%M:%S' | tr '\n' ' '  >> ${HOOK_LOGFILE}
    echo error Hook $0 called without user name >> ${HOOK_LOGFILE}   
    exit 1
  else
    HOOK_USER=$1
    HOOK_PAD=0
    i=`echo $1 | wc -c | sed 's/ //g'`

    if [ "$i" -lt "10" ]; then
      HOOK_PAD=10-$i
    fi
  fi
fi

if  [ -w "/var/log/hooks.log" ]; then
  HOOK_LOGFILE=/var/log/hooks.log
else
  HOOK_LOGFILE=/Users/$1/Documents/hooks.log
fi   

if [ ! $2 ]; then
  HOOK_INDENT=0
else
  HOOK_INDENT=$2
fi

LogLine() {
  if [ "`echo $@ | grep '}'`" ]; then
    let "HOOK_INDENT -= 2 "
    if [ $HOOK_INDENT -lt 0 ]; then
      HOOK_INDENT=0
    fi
  fi
  date +'%b %e %H:%M:%S' | tr '\n' ' '  >> ${HOOK_LOGFILE}
  echo -n ${HOOK_USER}' ' >> ${HOOK_LOGFILE}
  for ((i=${HOOK_INDENT}+${HOOK_PAD};$i>0;i=$i-1)); do
    echo -n ' ' >> ${HOOK_LOGFILE}
  done
  echo $@ >> ${HOOK_LOGFILE}
  if [ "`echo $@ | grep '{'`" ]; then
    let "HOOK_INDENT += 2"
  fi
}
